
Ruby - Bug #20183

`erb/escape.so` cannot be loaded when `--with-static-linked-ext`

01/14/2024 05:19 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 3.1: DONE, 3.2: DONE, 3.3: DONE

Description

Since cgi/escape.c and erb/escape.c are both initialized by Init_escape() functions, both call the same function in extinit.c.

Associated revisions

Revision a406c516685f1950269c4e43d13cc748f0bfbc06 - 03/21/2024 01:28 AM - NARUSE, Yui 

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183] (#10310)

Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.

Revision a406c516685f1950269c4e43d13cc748f0bfbc06 - 03/21/2024 01:28 AM - NARUSE, Yui 

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183] (#10310)

Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.

Revision a406c516 - 03/21/2024 01:28 AM - NARUSE, Yui 

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183] (#10310)

Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.

Revision 2d686e1019414f6bbb7ccbfa897b7b665250743d - 05/16/2024 02:36 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183]

    Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.
Revision 2d686e1019414f6bbb7ccbfa897b7b665250743d - 05/16/2024 02:36 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183]

    Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.

Revision 2d686e10 - 05/16/2024 02:36 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6: [Backport #20183]

    Alias init functions

    The extension library has each initialization function named "Init_" +

    basename. If multiple extensions have the same base name (such as

    cgi/escape and erb/escape), the same function will be registered for

    both names.

    To fix this conflict, rename the initialization functions under sub

    directories using using parent names, when statically linking.

History

#1 - 02/13/2024 06:47 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

#2 - 03/21/2024 06:59 AM - naruse (Yui NARUSE)

- Backport changed from 3.0: REQUIRED, 3.1: REQUIRED, 3.2: REQUIRED, 3.3: REQUIRED to 3.0: REQUIRED, 3.1: REQUIRED, 3.2: REQUIRED,

3.3: DONE

ruby_3_3 a406c516685f1950269c4e43d13cc748f0bfbc06 merged revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6.

#3 - 05/16/2024 02:37 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 3.0: REQUIRED, 3.1: REQUIRED, 3.2: REQUIRED, 3.3: DONE to 3.0: REQUIRED, 3.1: REQUIRED, 3.2: DONE, 3.3: DONE

ruby_3_2 2d686e1019414f6bbb7ccbfa897b7b665250743d merged revision(s) ae8990aef098410ecc2b5f48fea9d7d171a3c5f6.

#4 - 05/23/2024 05:13 AM - hsbt (Hiroshi SHIBATA)

- Backport changed from 3.0: REQUIRED, 3.1: REQUIRED, 3.2: DONE, 3.3: DONE to 3.1: DONE, 3.2: DONE, 3.3: DONE

#5 - 05/23/2024 05:15 AM - hsbt (Hiroshi SHIBATA)

https://github.com/ruby/ruby/pull/10832 is for Ruby 3.1
